Analytics follow ups/analytics
curl --request GET \
--url https://api.callaro.ai/api/v1/follow-ups/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/follow-ups/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/follow-ups/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"status": "<string>",
"follow_up_type": "<string>",
"source": "<string>",
"priority": 123,
"scheduled_at": "<string>",
"executed_at": "<string>",
"expires_at": "<string>",
"attempt_count": 123,
"max_attempts": 123,
"window_adherence": true,
"reason_code": "<string>",
"notes": "<string>",
"cancellation_reason": "<string>",
"contact_id": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_sentinel": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"bulk_call_campaign_id": "<string>",
"bulk_call_campaign_name": "<string>",
"voice_session_id": "<string>",
"voice_session_uuid": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}FollowUps
Analytics follow ups/analytics
From api/v1/follow_ups#analytics in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
follow-ups
/
analytics
Analytics follow ups/analytics
curl --request GET \
--url https://api.callaro.ai/api/v1/follow-ups/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/follow-ups/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/follow-ups/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"status": "<string>",
"follow_up_type": "<string>",
"source": "<string>",
"priority": 123,
"scheduled_at": "<string>",
"executed_at": "<string>",
"expires_at": "<string>",
"attempt_count": 123,
"max_attempts": 123,
"window_adherence": true,
"reason_code": "<string>",
"notes": "<string>",
"cancellation_reason": "<string>",
"contact_id": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_sentinel": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"bulk_call_campaign_id": "<string>",
"bulk_call_campaign_name": "<string>",
"voice_session_id": "<string>",
"voice_session_uuid": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?